Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.action.type
Class PDActionURI

    java.lang.Object
      org.pdfbox.pdmodel.interactive.action.type.PDAction
          org.pdfbox.pdmodel.interactive.action.type.PDActionURI

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

public class PDActionURI
extends PDAction

This represents a URI action that can be executed in a PDF document.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield, Panagiotis Toumasis (ptoumasis@mail.gr)

Field Summary
`static String` | `SUB_TYPE` This type of action this object represents.

Fields inherited from class org.pdfbox.pdmodel.interactive.action.type.PDAction
`action, TYPE`

Constructor Summary
`PDActionURI()` Default constructor.
`PDActionURI(COSDictionary a)` Constructor.

Method Summary
`String` | `getBase()` This will get the base URI to be used in resolving relative URI references.
`COSDictionary` | `getCOSDictionary()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`String` | `getS()` This will get the type of action that the actions dictionary describes.
`String` | `getURI()` This will get the uniform resource identifier to resolve, encoded in 7-bit ASCII.
`void` | `setBase(String base)` This will set the base URI to be used in resolving relative URI references.
`void` | `setS(String s)` This will set the type of action that the actions dictionary describes.
`void` | `setTrackMousePosition(boolean value)` This will specify whether to track the mouse position when the URI is resolved.
`void` | `setURI(String uri)` This will set the uniform resource identifier to resolve, encoded in 7-bit ASCII.
`boolean` | `shouldTrackMousePosition()` This will specify whether to track the mouse position when the URI is resolved.

Methods inherited from class org.pdfbox.pdmodel.interactive.action.type.PDAction
`getNext, getSubType, getType, setNext, setSubType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUB_TYPE

    public static final String SUB_TYPE

  This type of action this object represents.

  See Also:
    Constant Field Values

Constructor Detail

### PDActionURI

    public PDActionURI()

  Default constructor.

### PDActionURI

    public PDActionURI(COSDictionary a)

  Constructor.

Parameters:
  `a` - The action dictionary.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Overrides:
    `getCOSObject` in class `PDAction`
  Returns:
    The cos object that matches this Java object.

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  Convert this standard java object to a COS object.

  Overrides:
    `getCOSDictionary` in class `PDAction`
  Returns:
    The cos object that matches this Java object.

### getS

    public String getS()

  This will get the type of action that the actions dictionary describes. It must be URI for a URI action.

  Returns:
    The S entry of the specific URI action dictionary.

### setS

    public void setS(String s)

  This will set the type of action that the actions dictionary describes. It must be URI for a URI action.

  Parameters:
    `s` - The URI action.

### getURI

    public String getURI()

  This will get the uniform resource identifier to resolve, encoded in 7-bit ASCII.

  Returns:
    The URI entry of the specific URI action dictionary.

### setURI

    public void setURI(String uri)

  This will set the uniform resource identifier to resolve, encoded in 7-bit ASCII.

  Parameters:
    `uri` - The uniform resource identifier.

### shouldTrackMousePosition

    public boolean shouldTrackMousePosition()

  This will specify whether to track the mouse position when the URI is resolved. Default value: false. This entry applies only to actions triggered by the user's clicking an annotation; it is ignored for actions associated with outline items or with a document's OpenAction entry.

  Returns:
    A flag specifying whether to track the mouse position when the URI is resolved.

### setTrackMousePosition

    public void setTrackMousePosition(boolean value)

  This will specify whether to track the mouse position when the URI is resolved.

  Parameters:
    `value` - The flag value.

### getBase

    public String getBase()

  This will get the base URI to be used in resolving relative URI references. URI actions within the document may specify URIs in partial form, to be interpreted relative to this base address. If no base URI is specified, such partial URIs will be interpreted relative to the location of the document itself. The use of this entry is parallel to that of the body element <BASE>, as described in the HTML 4.01 Specification.

  Returns:
    The URI entry of the specific URI dictionary.

### setBase

    public void setBase(String base)

  This will set the base URI to be used in resolving relative URI references. URI actions within the document may specify URIs in partial form, to be interpreted relative to this base address. If no base URI is specified, such partial URIs will be interpreted relative to the location of the document itself. The use of this entry is parallel to that of the body element <BASE>, as described in the HTML 4.01 Specification.

  Parameters:
    `base` - The the base URI to be used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD